import { useEmployeeStore } from "src/stores/employee-store";

export const useEmployeeListApi = () => {
    const employeeListStore = useEmployeeStore();

    const getEmployeeList = (): Promise<void> => {
        return employeeListStore.getEmployeeList();
    };

    const getEmployeeDetails = (email: string): Promise<void> => {
        return employeeListStore.getEmployeeDetails(email);
    }

    return {
        getEmployeeList,
        getEmployeeDetails,
    };
};